%define name libnautilus-burn-sharp
%define version 0.1
%define release 1mdk
%define libname %mklibname nautilus-burn-sharp 0
%define monoprefix %_prefix/lib

Summary: C# bindings for libnautilus-burn
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.snorp.net/files/packages/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.snorp.net/log/?page_id=52
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: gtk-sharp2
BuildRequires: libnautilus-burn-devel
BuildRequires: mono-tools
Requires: %libname = %version
#gw check the major number
Requires: %mklibname nautilus-burn 1
Requires(post): mono-tools

%description
This is a C# wrapper for the libnautilus-burn library distributed with
GNOME. It allows developers to easily burn data or audio CDs.

%package -n %libname
Summary: C# bindings for libnautilus-burn glue lib
Group: System/Libraries

%description -n %libname
This is the glue library required by %name.

%prep
%setup -q

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/lib*.so
rm -f %buildroot%_libdir/lib*a

%post
/usr/bin/monodoc --make-index > /dev/null

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files
%defattr(-,root,root)
%doc NEWS README AUTHORS
%monoprefix/mono/gac/%name
%monoprefix/mono/%name
%monoprefix/monodoc/sources/*
%_libdir/pkgconfig/*.pc
%_datadir/gapi-2.0/*

%changelog
* Tue Sep 20 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- initial package
